org.apache.myfaces.trinidad.component.core.data

## Class CoreChart

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXChart
        - - org.apache.myfaces.trinidad.component.core.data.CoreChart

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CoreChart
      extends UIXChart

  The Trinidad Chart is used to display data as a chart.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyKey` | `ANIMATION_DURATION_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `GRADIENTS_USED_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static String` | `LEGEND_POSITION_BOTTOM`
    `static String` | `LEGEND_POSITION_END`
    `static PropertyKey` | `LEGEND_POSITION_KEY`
    `static String` | `LEGEND_POSITION_NONE`
    `static String` | `LEGEND_POSITION_START`
    `static String` | `LEGEND_POSITION_TOP`
    `static PropertyKey` | `MAX_PRECISION_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `PERSPECTIVE_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `TEMPLATE_SOURCE_KEY`
    `static PropertyKey` | `TOOLTIPS_VISIBLE_KEY`
    `static FacesBean.Type` | `TYPE`
    `static String` | `TYPE_AREA`
    `static String` | `TYPE_BAR_LINE`
    `static String` | `TYPE_CIRCULAR_GAUGE`
    `static String` | `TYPE_FUNNEL`
    `static String` | `TYPE_HORIZONTAL_BAR`
    `static PropertyKey` | `TYPE_KEY`
    `static String` | `TYPE_LINE`
    `static String` | `TYPE_PIE`
    `static String` | `TYPE_RADAR`
    `static String` | `TYPE_RADAR_AREA`
    `static String` | `TYPE_SCATTER_PLOT`
    `static String` | `TYPE_SEMI_CIRCULAR_GAUGE`
    `static String` | `TYPE_STACKED_AREA`
    `static String` | `TYPE_STACKED_HORIZONTAL_BAR`
    `static String` | `TYPE_STACKED_VERTICAL_BAR`
    `static String` | `TYPE_VERTICAL_BAR`
    `static String` | `TYPE_XYLINE`
    `static PropertyKey` | `XMAJOR_GRID_LINE_COUNT_KEY`
    `static PropertyKey` | `YMAJOR_GRID_LINE_COUNT_KEY`
    `static PropertyKey` | `YMINOR_GRID_LINE_COUNT_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXChart

      `CHART_DRILL_DOWN_LISTENER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreChart()` Construct an instance of the CoreChart.
    `protected` | `CoreChart(String rendererType)` Construct an instance of the CoreChart.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnimationDuration()` Gets The duration of the animation for the chart components in milliseconds.
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getLegendPosition()` Gets Specified the location of the legend.
    `int` | `getMaxPrecision()` Gets The maximum precision of the numbers displayed on the yAxis(xAxis for horizontal charts).
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getTemplateSource()` Gets Specifies URI for the template document from which the chart elements are cloned.
    `String` | `getType()` Gets The type of chart.
    `int` | `getXMajorGridLineCount()` Gets This attribute controls the number of vertical major grid lines displayed in the chart.
    `int` | `getYMajorGridLineCount()` Gets This attribute controls the number of horizontal major grid lines displayed in the chart.
    `int` | `getYMinorGridLineCount()` Gets This attribute controls the number of minor grid lines displayed within a major grid section.
    `boolean` | `isGradientsUsed()` Gets Specifies if gradients are used to display chart elements.
    `boolean` | `isPerspective()` Gets Specifies if the chart is drawn with a perspective (2.5D).
    `boolean` | `isTooltipsVisible()` Gets Specifies if tooltips are displayed or not.
    `void` | `setAnimationDuration(int animationDuration)` Sets The duration of the animation for the chart components in milliseconds.
    `void` | `setGradientsUsed(boolean gradientsUsed)` Sets Specifies if gradients are used to display chart elements.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setLegendPosition(String legendPosition)` Sets Specified the location of the legend.
    `void` | `setMaxPrecision(int maxPrecision)` Sets The maximum precision of the numbers displayed on the yAxis(xAxis for horizontal charts).
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPerspective(boolean perspective)` Sets Specifies if the chart is drawn with a perspective (2.5D).
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setTemplateSource(String templateSource)` Sets Specifies URI for the template document from which the chart elements are cloned.
    `void` | `setTooltipsVisible(boolean tooltipsVisible)` Sets Specifies if tooltips are displayed or not.
    `void` | `setType(String type)` Sets The type of chart.
    `void` | `setXMajorGridLineCount(int XMajorGridLineCount)` Sets This attribute controls the number of vertical major grid lines displayed in the chart.
    `void` | `setYMajorGridLineCount(int YMajorGridLineCount)` Sets This attribute controls the number of horizontal major grid lines displayed in the chart.
    `void` | `setYMinorGridLineCount(int YMinorGridLineCount)` Sets This attribute controls the number of minor grid lines displayed within a major grid section.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXChart

      `addChartDrillDownListener, broadcast, getChartDrillDownListener, getValue, removeChartDrillDownListener, setChartDrillDownListener, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_VERTICAL_BAR

          public static final String TYPE_VERTICAL_BAR

      See Also:
        Constant Field Values

    - #### TYPE_HORIZONTAL_BAR

          public static final String TYPE_HORIZONTAL_BAR

      See Also:
        Constant Field Values

    - #### TYPE_STACKED_VERTICAL_BAR

          public static final String TYPE_STACKED_VERTICAL_BAR

      See Also:
        Constant Field Values

    - #### TYPE_STACKED_HORIZONTAL_BAR

          public static final String TYPE_STACKED_HORIZONTAL_BAR

      See Also:
        Constant Field Values

    - #### TYPE_PIE

          public static final String TYPE_PIE

      See Also:
        Constant Field Values

    - #### TYPE_AREA

          public static final String TYPE_AREA

      See Also:
        Constant Field Values

    - #### TYPE_STACKED_AREA

          public static final String TYPE_STACKED_AREA

      See Also:
        Constant Field Values

    - #### TYPE_LINE

          public static final String TYPE_LINE

      See Also:
        Constant Field Values

    - #### TYPE_BAR_LINE

          public static final String TYPE_BAR_LINE

      See Also:
        Constant Field Values

    - #### TYPE_XYLINE

          public static final String TYPE_XYLINE

      See Also:
        Constant Field Values

    - #### TYPE_SCATTER_PLOT

          public static final String TYPE_SCATTER_PLOT

      See Also:
        Constant Field Values

    - #### TYPE_RADAR

          public static final String TYPE_RADAR

      See Also:
        Constant Field Values

    - #### TYPE_RADAR_AREA

          public static final String TYPE_RADAR_AREA

      See Also:
        Constant Field Values

    - #### TYPE_FUNNEL

          public static final String TYPE_FUNNEL

      See Also:
        Constant Field Values

    - #### TYPE_CIRCULAR_GAUGE

          public static final String TYPE_CIRCULAR_GAUGE

      See Also:
        Constant Field Values

    - #### TYPE_SEMI_CIRCULAR_GAUGE

          public static final String TYPE_SEMI_CIRCULAR_GAUGE

      See Also:
        Constant Field Values

    - #### LEGEND_POSITION_NONE

          public static final String LEGEND_POSITION_NONE

      See Also:
        Constant Field Values

    - #### LEGEND_POSITION_BOTTOM

          public static final String LEGEND_POSITION_BOTTOM

      See Also:
        Constant Field Values

    - #### LEGEND_POSITION_END

          public static final String LEGEND_POSITION_END

      See Also:
        Constant Field Values

    - #### LEGEND_POSITION_TOP

          public static final String LEGEND_POSITION_TOP

      See Also:
        Constant Field Values

    - #### LEGEND_POSITION_START

          public static final String LEGEND_POSITION_START

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### TYPE_KEY

          public static final PropertyKey TYPE_KEY

    - #### TEMPLATE_SOURCE_KEY

          public static final PropertyKey TEMPLATE_SOURCE_KEY

    - #### PERSPECTIVE_KEY

          public static final PropertyKey PERSPECTIVE_KEY

    - #### LEGEND_POSITION_KEY

          public static final PropertyKey LEGEND_POSITION_KEY

    - #### ANIMATION_DURATION_KEY

          public static final PropertyKey ANIMATION_DURATION_KEY

    - #### YMAJOR_GRID_LINE_COUNT_KEY

          public static final PropertyKey YMAJOR_GRID_LINE_COUNT_KEY

    - #### YMINOR_GRID_LINE_COUNT_KEY

          public static final PropertyKey YMINOR_GRID_LINE_COUNT_KEY

    - #### XMAJOR_GRID_LINE_COUNT_KEY

          public static final PropertyKey XMAJOR_GRID_LINE_COUNT_KEY

    - #### MAX_PRECISION_KEY

          public static final PropertyKey MAX_PRECISION_KEY

    - #### GRADIENTS_USED_KEY

          public static final PropertyKey GRADIENTS_USED_KEY

    - #### TOOLTIPS_VISIBLE_KEY

          public static final PropertyKey TOOLTIPS_VISIBLE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreChart

          public CoreChart()

      Construct an instance of the CoreChart.

    - #### CoreChart

          protected CoreChart(String rendererType)

      Construct an instance of the CoreChart.

  - ### Method Detail

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getType

          public final String getType()

      Gets The type of chart. Possible Values are: verticalBar horizontalBar stackedVerticalBar stackedHorizontalBar pie area stackedArea line barLine XYLine scatterPlot radar radarArea funnel circularGauge semiCircularGauge.
      Returns:
        the new type value

    - #### setType

          public final void setType(String type)

      Sets The type of chart. Possible Values are: verticalBar horizontalBar stackedVerticalBar stackedHorizontalBar pie area stackedArea line barLine XYLine scatterPlot radar radarArea funnel circularGauge semiCircularGauge.
      Parameters:
        `type` - the new type value

    - #### getTemplateSource

          public final String getTemplateSource()

      Gets Specifies URI for the template document from which the chart elements are cloned. If this attribute is null, the chart component uses a default template. The default template is chosen based on whether the useGradient attribute is true or false. The template document is useful for changing the Look and Feel of the chart. Some examples include:1)A developer may want to skin the chart to match its corporate Look and Feel. 2)A developer may want to put water marks/background images inside the chart. 3)A developer may want to change the template for the gauges used in the gauge charts. 4)A developer may want to turn off gradients and instead use filters to set some interesting effects on the chart elements.
      Returns:
        the new templateSource value

    - #### setTemplateSource

          public final void setTemplateSource(String templateSource)

      Sets Specifies URI for the template document from which the chart elements are cloned. If this attribute is null, the chart component uses a default template. The default template is chosen based on whether the useGradient attribute is true or false. The template document is useful for changing the Look and Feel of the chart. Some examples include:1)A developer may want to skin the chart to match its corporate Look and Feel. 2)A developer may want to put water marks/background images inside the chart. 3)A developer may want to change the template for the gauges used in the gauge charts. 4)A developer may want to turn off gradients and instead use filters to set some interesting effects on the chart elements.
      Parameters:
        `templateSource` - the new templateSource value

    - #### isPerspective

          public final boolean isPerspective()

      Gets Specifies if the chart is drawn with a perspective (2.5D). By default the chart is draw with a perspective.
      Returns:
        the new perspective value

    - #### setPerspective

          public final void setPerspective(boolean perspective)

      Sets Specifies if the chart is drawn with a perspective (2.5D). By default the chart is draw with a perspective.
      Parameters:
        `perspective` - the new perspective value

    - #### getLegendPosition

          public final String getLegendPosition()

      Gets Specified the location of the legend. The legend can be turned off by setting this attribute to none. Otherwise it can be drawn at top, start, end or bottom.
      Returns:
        the new legendPosition value

    - #### setLegendPosition

          public final void setLegendPosition(String legendPosition)

      Sets Specified the location of the legend. The legend can be turned off by setting this attribute to none. Otherwise it can be drawn at top, start, end or bottom.
      Parameters:
        `legendPosition` - the new legendPosition value

    - #### getAnimationDuration

          public final int getAnimationDuration()

      Gets The duration of the animation for the chart components in milliseconds. Animation can be turned off if the animationDuration is set to 0. The default value is 1000ms.
      Returns:
        the new animationDuration value

    - #### setAnimationDuration

          public final void setAnimationDuration(int animationDuration)

      Sets The duration of the animation for the chart components in milliseconds. Animation can be turned off if the animationDuration is set to 0. The default value is 1000ms.
      Parameters:
        `animationDuration` - the new animationDuration value

    - #### getYMajorGridLineCount

          public final int getYMajorGridLineCount()

      Gets This attribute controls the number of horizontal major grid lines displayed in the chart. For horizontal charts(horizontalBar, stackedHorizontalBar) this attribute controls the horizontal major grid lines. The default is 3.
      Returns:
        the new YMajorGridLineCount value

    - #### setYMajorGridLineCount

          public final void setYMajorGridLineCount(int YMajorGridLineCount)

      Sets This attribute controls the number of horizontal major grid lines displayed in the chart. For horizontal charts(horizontalBar, stackedHorizontalBar) this attribute controls the horizontal major grid lines. The default is 3.
      Parameters:
        `YMajorGridLineCount` - the new YMajorGridLineCount value

    - #### getYMinorGridLineCount

          public final int getYMinorGridLineCount()

      Gets This attribute controls the number of minor grid lines displayed within a major grid section. The default value is -1, which means it varies per chart type. Currently it is used only for gauge charts with a default of 3.
      Returns:
        the new YMinorGridLineCount value

    - #### setYMinorGridLineCount

          public final void setYMinorGridLineCount(int YMinorGridLineCount)

      Sets This attribute controls the number of minor grid lines displayed within a major grid section. The default value is -1, which means it varies per chart type. Currently it is used only for gauge charts with a default of 3.
      Parameters:
        `YMinorGridLineCount` - the new YMinorGridLineCount value

    - #### getXMajorGridLineCount

          public final int getXMajorGridLineCount()

      Gets This attribute controls the number of vertical major grid lines displayed in the chart. The default value is -1, which implies that the vertical major grid lines are controlled by the groupLabels in the chart model. This parameter along with the groupLabels provide flexibility in labeling the groups. For e.g. one can display a vertical bar chart with 2 years data. Only quarters may be labeled and XMajorGridLineCount can be 1 for splitting the data into two sections.
      Returns:
        the new XMajorGridLineCount value

    - #### setXMajorGridLineCount

          public final void setXMajorGridLineCount(int XMajorGridLineCount)

      Sets This attribute controls the number of vertical major grid lines displayed in the chart. The default value is -1, which implies that the vertical major grid lines are controlled by the groupLabels in the chart model. This parameter along with the groupLabels provide flexibility in labeling the groups. For e.g. one can display a vertical bar chart with 2 years data. Only quarters may be labeled and XMajorGridLineCount can be 1 for splitting the data into two sections.
      Parameters:
        `XMajorGridLineCount` - the new XMajorGridLineCount value

    - #### getMaxPrecision

          public final int getMaxPrecision()

      Gets The maximum precision of the numbers displayed on the yAxis(xAxis for horizontal charts). The default is 0.
      Returns:
        the new maxPrecision value

    - #### setMaxPrecision

          public final void setMaxPrecision(int maxPrecision)

      Sets The maximum precision of the numbers displayed on the yAxis(xAxis for horizontal charts). The default is 0.
      Parameters:
        `maxPrecision` - the new maxPrecision value

    - #### isGradientsUsed

          public final boolean isGradientsUsed()

      Gets Specifies if gradients are used to display chart elements. By default the chart elements use gradients.
      Returns:
        the new gradientsUsed value

    - #### setGradientsUsed

          public final void setGradientsUsed(boolean gradientsUsed)

      Sets Specifies if gradients are used to display chart elements. By default the chart elements use gradients.
      Parameters:
        `gradientsUsed` - the new gradientsUsed value

    - #### isTooltipsVisible

          public final boolean isTooltipsVisible()

      Gets Specifies if tooltips are displayed or not.
      Returns:
        the new tooltipsVisible value

    - #### setTooltipsVisible

          public final void setTooltipsVisible(boolean tooltipsVisible)

      Sets Specifies if tooltips are displayed or not.
      Parameters:
        `tooltipsVisible` - the new tooltipsVisible value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXChart`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXChart`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.